package cn.com.ctop.kuaishou.modules.material.service;

import cn.com.ctop.kuaishou.modules.material.entity.ProductMaterial;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.io.IOException;
import java.util.List;

/**
 * 选品库——产品与商品信息
 * 2022-04-19
 */
public interface IProductMaterialService extends IService<ProductMaterial> {

    Result<Object> queryPageList(ProductMaterial productMaterial, Integer pageNo, Integer pageSize);

    Result<Object> videoList(ProductMaterial productMaterial, Integer pageNo, Integer pageSize);

    Result<Object> add(JSONObject data) throws IOException;

    List<JSONObject> getVideoDetailsReportList(ProductMaterial productMaterial);

    Result<Object> materialList(Long productId, Integer pageNo, Integer pageSize);
}
